Skip to main content
GET
/
resources
List Resources
curl --request GET \
  --url https://supply-api.compute-index.com/resources \
  --header 'Authorization: Bearer <token>'
{
  "resources": [
    {
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_type": "<string>",
      "vendor": "<string>",
      "vendor_region": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "status_message": "<string>",
      "access": {
        "external_ip": "<string>",
        "internal_ip": "<string>",
        "ssh_command": "<string>",
        "ssh_port": 123
      },
      "spec": {},
      "linked_resources": [
        {
          "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "resource_type": "<string>",
          "status": "<string>",
          "link_type": "<string>",
          "linked_since": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "linked_until": "2023-11-07T05:31:56Z"
        }
      ],
      "offer_history": [
        {
          "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "offer_type": "<string>",
          "role": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "pricing_total_hourly": 123,
      "valid_from": "2023-11-07T05:31:56Z",
      "valid_to": "2023-11-07T05:31:56Z",
      "last_synced_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
List all resources belonging to the authenticated client. Supports filtering by offer, vendor, and resource type.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

resource_type
string | null
resource_status
string | null
vendor
string | null
vendor_region
string | null
offer_id
string<uuid> | null
include_deleted
boolean
default:false
limit
integer
default:50
offset
integer
default:0

Response

Successful Response

Paginated list of resources.

resources
ResourceSummary · object[]
required
total
integer
required
limit
integer
required
offset
integer
required